All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
And
Logical And Shift Operations

Sample by sample bitwise AND of samples from two signals. More...

## Functions

NppStatus | nppsAnd_8u_Ctx (const Npp8u *pSrc1, const Npp8u *pSrc2, Npp8u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit unsigned char signal and with signal. More...
NppStatus | nppsAnd_8u (const Npp8u *pSrc1, const Npp8u *pSrc2, Npp8u *pDst, int nLength)
NppStatus | nppsAnd_16u_Ctx (const Npp16u *pSrc1, const Npp16u *pSrc2, Npp16u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short signal and with signal. More...
NppStatus | nppsAnd_16u (const Npp16u *pSrc1, const Npp16u *pSrc2, Npp16u *pDst, int nLength)
NppStatus | nppsAnd_32u_Ctx (const Npp32u *pSrc1, const Npp32u *pSrc2, Npp32u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit unsigned integer signal and with signal. More...
NppStatus | nppsAnd_32u (const Npp32u *pSrc1, const Npp32u *pSrc2, Npp32u *pDst, int nLength)
NppStatus | nppsAnd_8u_I_Ctx (const Npp8u *pSrc, Npp8u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit unsigned char in place signal and with signal. More...
NppStatus | nppsAnd_8u_I (const Npp8u *pSrc, Npp8u *pSrcDst, int nLength)
NppStatus | nppsAnd_16u_I_Ctx (const Npp16u *pSrc, Npp16u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short in place signal and with signal. More...
NppStatus | nppsAnd_16u_I (const Npp16u *pSrc, Npp16u *pSrcDst, int nLength)
NppStatus | nppsAnd_32u_I_Ctx (const Npp32u *pSrc, Npp32u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit unsigned integer in place signal and with signal. More...
NppStatus | nppsAnd_32u_I (const Npp32u *pSrc, Npp32u *pSrcDst, int nLength)

## Detailed Description

Sample by sample bitwise AND of samples from two signals.

## Function Documentation

NppStatus nppsAnd_16u | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | Npp16u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsAnd_16u_Ctx | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short signal and with signal.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal2 elements to be anded with signal1 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAnd_16u_I | ( | const Npp16u * | pSrc,
|  | Npp16u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsAnd_16u_I_Ctx | ( | const Npp16u * | pSrc,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short in place signal and with signal.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal2 elements to be anded with signal1 elements
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAnd_32u | ( | const Npp32u * | pSrc1,
|  | const Npp32u * | pSrc2,
|  | Npp32u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsAnd_32u_Ctx | ( | const Npp32u * | pSrc1,
|  | const Npp32u * | pSrc2,
|  | Npp32u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned integer signal and with signal.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal2 elements to be anded with signal1 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAnd_32u_I | ( | const Npp32u * | pSrc,
|  | Npp32u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsAnd_32u_I_Ctx | ( | const Npp32u * | pSrc,
|  | Npp32u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned integer in place signal and with signal.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal2 elements to be anded with signal1 elements
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAnd_8u | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | Npp8u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsAnd_8u_Ctx | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char signal and with signal.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal2 elements to be anded with signal1 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAnd_8u_I | ( | const Npp8u * | pSrc,
|  | Npp8u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsAnd_8u_I_Ctx | ( | const Npp8u * | pSrc,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char in place signal and with signal.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal2 elements to be anded with signal1 elements
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2019 NVIDIA Corporation